package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAE1 extends MwfRequest<MWFAE1, MWFAE1Response> {

    @Parameter(name = "Data")
    MWFAE1 data(java.util.List<MWFAE1Data> data);
    @Parameter(name = "InteractiveContractId")
    MWFAE1 interactiveContractId(String interactiveContractId);
    @Parameter(name = "InteractiveContractName")
    MWFAE1 interactiveContractName(String interactiveContractName);
    @Parameter(name = "InteractiveHolderRole")
    MWFAE1 interactiveHolderRole(String interactiveHolderRole);
    @Parameter(name = "InteractiveHolderUserName")
    MWFAE1 interactiveHolderUserName(String interactiveHolderUserName);
    @Parameter(name = "InteractiveState")
    MWFAE1 interactiveState(String interactiveState);
    @Parameter(name = "IsInteractive")
    MWFAE1 isInteractive(String isInteractive);
    @Parameter(name = "directPrintEnable")
    MWFAE1 directPrintEnable(Long directPrintEnable);
    @Parameter(name = "docType")
    MWFAE1 docType(String docType);
    @Parameter(name = "duplexMode")
    MWFAE1 duplexMode(Long duplexMode);
    @Parameter(name = "numberOfCopies")
    MWFAE1 numberOfCopies(Long numberOfCopies);
    @Parameter(name = "printDoc")
    MWFAE1 printDoc(Long printDoc);
    @Parameter(name = "printerAddress")
    MWFAE1 printerAddress(String printerAddress);
    @Parameter(name = "printerPort")
    MWFAE1 printerPort(Long printerPort);
    @Parameter(name = "rptData")
    MWFAE1 rptData(String rptData);
    @Parameter(name = "rptName")
    MWFAE1 rptName(String rptName);
}
